#ifndef MDD_ISTATE_H
#define MDD_ISTATE_H
#include "state.h"

namespace mdd
{
    class IState{
    public:
        virtual state getState() = 0;
        virtual void resetState() = 0;
    };
}

#endif //MDD_IOUTPUT_H